Gecode::Tracer Class Referenceabstract
Functionality by programming task » Programming models » Tracing constraint propagation

Tracer. More...

`#include <tracer.hpp>`

## Public Member Functions

| Tracer (void)
| Constructor.
virtual void | propagate (const Space &home, const PropagateTraceInfo &pti)=0
| Propagate function.
virtual void | commit (const Space &home, const CommitTraceInfo &cti)=0
| Commit function.
virtual void | post (const Space &home, const PostTraceInfo &pti)=0
| Post function.
virtual | ~Tracer (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Static Protected Attributes inherited from Gecode::TracerBase
static Support::Mutex | m
| Mutex to provide synchronization.

## Detailed Description

Tracer.

Definition at line 149 of file tracer.hpp.

## Constructor & Destructor Documentation

## Tracer()

Gecode::Tracer::Tracer | ( | void |  | ) |

inline

Constructor.

Definition at line 304 of file tracer.hpp.

## ~Tracer()

Gecode::Tracer::~Tracer | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 327 of file tracer.hpp.

## Member Function Documentation

## propagate()

virtual void Gecode::Tracer::propagate | ( | const Space & | home,
|  | const PropagateTraceInfo & | pti )

pure virtual

Propagate function.

The propagate function is called when a propagator has been executed.

Implemented in Gecode::StdTracer.

## commit()

virtual void Gecode::Tracer::commit | ( | const Space & | home,
|  | const CommitTraceInfo & | cti )

pure virtual

Commit function.

The commit function is called when a brancher has executed a commit operation.

Implemented in Gecode::StdTracer.

## post()

virtual void Gecode::Tracer::post | ( | const Space & | home,
|  | const PostTraceInfo & | pti )

pure virtual

Post function.

The post function is called when an attempt to post a propagator has been executed.

Implemented in Gecode::StdTracer.

The documentation for this class was generated from the following file:

- gecode/kernel/trace/tracer.hpp